Subject: Re: [PATCH] rebase: learn --discard subcommand

From: Jonathan Nieder <[email-masked]>
Date: Sun, 29 May 2011 13:58:21 -0500

Martin von Zweigbergk wrote:

> I intended --discard to be used _instead_ of --abort. Do you think it
> makes more sense to have it as an option to --abort or was it just
> that the word "subcommand" confused you? I meant it as "subcommand of
> git rebase".

I agree that --abort-keeping-head is nicer than --abort --keep-head.
The latter was just a little easier to document.

Sorry, I'm terrible at names.  --forget, --discard, and --done have
the same problem of making the reader wonder what is going to be
forgotten and what remembered.